# Samba config file created using SSCC ver. 1.1.1
# from root@ECS39111217
# Date: 11 Feb 2017 19:02:04
[global]
	server string = %h Samba Server for eCS (OS/2)
	null passwords = Yes
	guest account = guest
	username map = C:\MPTN\ETC\samba\private\smbusermap
	log file = C:\MPTN\ETC\samba\log\log.smbd.%U.%M
	time server = Yes
	load printers = No
	printcap name = C:\etc\printcap
	enumports command = C:\PROGRAMS\samba\enumports.cmd
	add user script = C:\PROGRAMS\samba\usermod.cmd -a "%u"
	rename user script = C:\PROGRAMS\samba\usermod.cmd -r "%uold" "%unew"
	delete user script = C:\PROGRAMS\samba\usermod.cmd -x "%u"
	add group script = C:\PROGRAMS\samba\groupmod.cmd -a "%g"
	delete group script = C:\PROGRAMS\samba\groupmod.cmd -x "%g"
	add user to group script = C:\PROGRAMS\samba\groupmod.cmd -j "%g" "%u"
	delete user from group script = C:\PROGRAMS\samba\groupmod.cmd -l "%g" "%u"
	set primary group script = C:\PROGRAMS\samba\usermod.cmd -p "%u" "%g"
	add machine script = C:\PROGRAMS\samba\usermod.cmd -a "%u"
	lm announce = Yes
	wins support = Yes
	add share command = C:\PROGRAMS\samba\addshare.cmd
	change share command = C:\PROGRAMS\samba\changeshare.cmd
	delete share command = C:\PROGRAMS\samba\delshare.cmd
	lock directory = C:\MPTN\ETC\samba\lock
	nmbd bind explicit broadcast = No
	idmap config * : backend = tdb
	comment = Samba Server for eCS (OS/2)
	create mask = 0777
	ea support = Yes
	store dos attributes = Yes
	log level = 3

[HOMES]
	comment = Home directory
	path = C:/HOME/%u
	read only = No
	browseable = No

[HPLaserj]
	comment = HP Laserjet 200 color MFP M276
	path = C:\MPTN\ETC\samba\spool\HPLaserj
	create mask = 0700
	guest ok = Yes
	printable = Yes
	print ok = Yes
	print command = C:\PROGRAMS\samba\smbprint.exe "%s" "%p" "%J" "%c" "%z"
	printer name = HPLaserj

[Laserjet]
	comment = Laserjet 5L
	path = C:\MPTN\ETC\samba\spool\Laserjet
	create mask = 0700
	guest ok = Yes
	printable = Yes
	print ok = Yes
	print command = C:\PROGRAMS\samba\smbprint.exe "%s" "%p" "%J" "%c" "%z"
	printer name = Laserjet

[C]
	comment = Laufwerk C: (JFS)
	path = C:/
	read only = No
	guest ok = Yes
	hide files = /*. SF/root/

[S]
	comment = Laufwerk S: (CDFS)
	path = S:/
	guest ok = Yes
	hide files = /*. SF/root/
